<?php

/*  message_template.php: simple mode template for the message page
*
* $Id: message_template.php,v 1.12 2005/07/26 17:29:35 sailfrog Exp $
*/

echo '
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
    <meta HTTP-EQUIV="content-type" CONTENT="text/html; charset=',$hd['charset'],'"> 
    <title>
    ',$hd['title_prefix'],' (',$hd['total_unread'],') |',$hd['page_title'],'
    </title>
</head>
<body>
<a name="top"></a>';

require_once('toolbar_template.php');

if ($notices) {
    echo '<br>';
    foreach ($notices as $n): echo $n,'<br />'; endforeach;
}
echo '
<input type="hidden" name="mailbox" value="',$input_mailbox,'" />
<input type="hidden" name="part" value="',$input_part,'" />
<input type="hidden" name="uid" value="',$input_uid,'" />
<input type="hidden" name="page_num" value="',$input_page_num,'" />
<input type="hidden" name="parts" value="',$input_part_value,'" />
<table width="95%" cellpadding="4" cellspacing="4">
    <tr>
        <td width="10%" nowrap>
        ',$mailbox_title,'<br>
        &nbsp;&nbsp;',$msg_header;
        if ($filter) { echo '
        <b><small>(',$filter_name,')</small></b>';
        } echo ' &nbsp;';
        if ($full) { echo '
        <input type="submit" value="',$lbl_small_headers,'" name="small_headers" />
        <input type="hidden" name="full" value="yes" />';
        } else { echo '
        <input type="submit" value="',$lbl_full_headers,'" name="full_headers" />';
        } echo '
        </td>
    </tr>
    <tr>
        <td>';
        if ($full) {
        foreach ($message_headers as $name => $val) { echo '
        &nbsp;&nbsp;<small><b>',preg_replace("/_\d*$/", '', $name),':</b></small>&nbsp;
        &nbsp;<small>',$val,'</small><br>';
        } echo '
        </td>
    </tr>';
        } else { echo '
        &nbsp;&nbsp;',$lbl_subject,':&nbsp;&nbsp;',$subject,'<br />
        &nbsp;&nbsp;',$lbl_from,':&nbsp;&nbsp;',$from,'<br />
        &nbsp;&nbsp;',$lbl_date,':&nbsp;&nbsp;',$date,'<br />
        &nbsp;&nbsp;',$lbl_to,':&nbsp;&nbsp;',$to,'<br />';
        if ($cc) { echo '
        &nbsp;&nbsp;',$lbl_cc,':&nbsp&nbsp;',$cc,'<br />';
        }
        } echo '
        </td>
    </tr>
    <tr>
        <td nowrap>
            &nbsp;
            <input type="submit" name="reply" value="',$lbl_reply,'"  />
            &nbsp;<input type="submit" name="reply_all" value="',$lbl_reply_all,'" />';
            if ($message_list_reply) { echo '
            &nbsp;<input type="hidden" value="',$message_list_reply_to,'" name="list_reply_to" />
            <input type="submit" name="list_reply" value="',$lbl_list_reply,'" />';
            } echo '
            &nbsp;<input type="submit" value="',$lbl_forward,'" name="forward" />
        </td>
    </tr>
    <tr>
        <td>
        &nbsp;&nbsp;',$next_prev_del_links,'<br>
        &nbsp;<input type="checkbox" value="1" name="keep_as_new" />
        <small>',$lbl_keep_new,'</small>
        </td>
    </tr>
    <tr>
        <td>';
        foreach ($part_array as $key => $array) { echo '
    <tr>
        <td>';
        if (isset($array['rfc_check'])) {
        if (count($array['part_headers']) > 0) {
        if ($full) {
        foreach ($array['part_headers'] as $key => $value) { echo '
        <small><b>',$key,':</b></small>:&nbsp;&nbsp;<small>&nbsp;&nbsp;',$value,'</small><br>';
        } echo '
        </td>
    </tr>';
        } else echo '
        ',$lbl_subject,':&nbsp;&nbsp;',$array['part_headers']['subject'],'<br />
        ',$lbl_from,':&nbsp;&nbsp;',$array['part_headers']['from'],'<br />
        ',$lbl_date,':&nbsp;&nbsp;',$array['part_headers']['date'],'<br />';
        } echo '
    </tr>
    <tr>
        <td>';
        }
        if ($array['print_part']) { echo '
        ',$array['print_part'];
        } else { echo '
        ',$array['print_part_default'],'
        </td>
    </tr>';
        }
        } echo '
    <tr>
        <td nowrap>';
        foreach ($attachment_data as $part => $array) {
            if ($array['checked']) { echo '-&gt;'; } else { echo '&nbsp;&nbsp;&nbsp;'; } echo '
            <input type="hidden" name="hmp_',str_replace('_', '.', $part),'" value="1">';
            if (!$array['rfc822']) { echo '<input type="checkbox" ';
                if ($array['checked']) { echo 'CHECKED '; }
                echo ' name="mp_',str_replace('_', '.', $part),'">';
            } else { echo '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'; } echo '
            <small>&nbsp;';
            if ($array['viewable']) { echo ' ',$array['atag'],'part=',$part,'">',$array['lbl_view'],'</a>'; }
            if ($array['double_link']) { echo ' / '; }
            if ($array['download']) { echo str_replace('message.php', 'download.php', $array['atag']),
                'part=',$part,'&amp;subtype=octet-stream&amp;type=application&amp;name=',$array['name'];
                if ($array['encoding']) { echo '&amp;decode=',$array['encoding']; }
                echo '">',$array['lbl_download'],'</a>&nbsp;&nbsp;';
            } echo '
            </small>
            <small>';
            if ($array['indent_level'] > 0) { echo str_repeat('&nbsp;', $array['indent_level']),'|_&nbsp;'; } echo '
            ',$array['type'],' - ',$array['subtype'],'</small>
            <small>',$array['description'],'</small>';
            if ($array['from']) {
                echo '&nbsp;<small><a href="compose.php?id=',$sid,'&amp;to=',
                     urlencode($array['raw_from']),'">',$array['from'],'</a></small>';
            } echo '
            <small>',$array['size'],'</small><br>';
        } 
        echo '
        </td>
    </tr>
    <tr>
        <td>
        <input type="submit" name="view" value="',$lbl_view_selected,'" />
        </td>
    </tr>
</table>
</form>
<a class="font2" href="#top">',$lbl_top,'</a>
</body>
</html>';
