<?php

/*  options_template.php: simple mode template for the options page
*
* $Id: options_template.php,v 1.5 2005/06/13 18:12:38 sailfrog Exp $
*/

echo '
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
    <meta HTTP-EQUIV="content-type" CONTENT="text/html; charset=',$hd['charset'],'"> 
    <title>
    ',$hd['title_prefix'],' (',$hd['total_unread'],') |',$hd['page_title'],'
    </title>
    <link rel="SHORTCUT ICON" href="../images/hastymail.ico">
</head>
<body>
<a name="top"></a>';
    
require_once('toolbar_template.php');

if ($notices) {
    echo '<br>';
    foreach ($notices as $n): echo '<center>',$n,'</center>'; endforeach;
}
else {
    echo '<br>';
}

/* main template */
echo '
<form action="options.php" method="post">
<input type="hidden" name="id" value="',$input_id,'" />
<input type="hidden" name="mailbox" value="',$input_mailbox,'" />
<br />
<table cellpadding="4" cellspacing="2">
    <tr>
        <td nowrap>';
        if (!$nn4) { echo '
        ',$lbl_theme,':&nbsp;
        <select name="css_selection">';
        foreach ($themes as $key => $val) { 
            echo '<option ';
            if ($key == $current_theme) { echo 'selected ';}
            echo 'value="',$key,'">',$val,'</option>';
            } echo '</select>';
        } echo '
        <br>',$lbl_language,':&nbsp;
        <select name="lang_selection">';
            foreach ($languages as $key => $val) { 
            echo '<option ';
            if ($key == $current_language) { echo 'selected ';}
            echo 'value="',$key,'">',$val,'</option>';
            } echo '</select>
        <br>',$lbl_font_size,':&nbsp;
        <select name="font_size">';
            foreach ($font_sizes as $key => $val) { 
            echo '<option ';
            if ($key == $current_font_size) { echo 'selected ';}
            echo 'value="',$key,'">',$val,'</option>';
            } echo '</select>
        <br>',$lbl_time_format,':&nbsp;
        <select name="time_selection">';
            foreach ($time_formats as $key => $val) { 
            echo '<option ';
            if ($key == $current_time_format) { echo 'selected ';}
            echo 'value="',$key,'">',$val,'</option>';
            } echo '</select>
        <br>',$lbl_date_format,':&nbsp;
        <select name="date_selection">';
            foreach ($date_formats as $key => $val) { 
            echo '<option ';
            if ($key == $current_date_format) { echo 'selected ';}
            echo 'value="',$key,'">',$val,'</option>';
            } echo '</select>
        <br>',$lbl_font_type,':&nbsp;
        <select name="font_type">';
            foreach ($font_types as $key => $val) { 
            echo '<option ';
            if ($key == $current_font_type) { echo 'selected ';}
            echo 'value="',$key,'">',$val,'</option>';
            } echo '</select>
        <br>',$lbl_refresh_interval,':&nbsp;
        <select name="refresh_new">';
            foreach ($refresh_times as $key => $val) { 
            echo '<option ';
            if ($key == $current_refresh_time) { echo 'selected ';}
            echo 'value="',$key,'">',$val,'</option>';
            } echo '</select>
        <br>',$lbl_start_page,':&nbsp;
        <select name="start_page">';
            foreach ($start_pages as $key => $val) { 
            echo '<option ';
            if ($key == $current_start_page) { echo 'selected ';}
            echo 'value="',$key,'">',$val,'</option>';
            } echo '</select>
        <br>',$lbl_messages_per_page,':&nbsp;
        <input type="text" size="4" name="page_count" value="',$page_count,'" />
        <br>',$lbl_subject_size,':&nbsp;
        <input type="text" size="4" name="subject_size" value="',$subject_size,'" />
        <br>',$lbl_read_wrap,':&nbsp;
        <input type="text" size="4" name="read_wrap" value="',$read_wrap,'" />
        <br>',$lbl_wrap_clean,':&nbsp;
        <input type="checkbox" name="wrap_clean"'; if ($wrap_clean) { echo ' checked';} echo 'value="1" />
        <br>',$lbl_html_only,':&nbsp;
        <input type="checkbox" name="html_only"'; if ($html_only) { echo ' checked';} echo 'value="1" />
        <br>',$lbl_show_clock,':&nbsp;
        <input type="checkbox" name="show_clock"'; if ($show_clock) { echo ' checked'; } echo ' value="1" />
        <br>',$lbl_wide_bar,':&nbsp;
        <input type="checkbox" name="wide_bar"'; if ($wide_bar) { echo ' checked';} echo ' value="1" />
        <br>',$lbl_html_default,':&nbsp;
        <input type="checkbox" name="html_default"'; if ($html_default) { echo ' checked';} echo ' value="1" />
        <br>',$lbl_simple,':&nbsp;
        <input type="checkbox" name="simple"'; if ($simple) { echo ' checked';} echo ' value="1" />
        <br>',$lbl_fold_simple,':&nbsp;
        <input type="checkbox" name="fold_simple"'; if ($fold_simple) { echo ' checked';} echo ' value="1" />';
        if ($show_default_redirect) { echo '
        <br>',$lbl_default_redirect,':&nbsp;
        <input type="text" name="default_redirect" value="',$default_redirect,'" />&nbsp;';
        } echo '
        <br>',$lbl_filter_links,':&nbsp;
        <input type="checkbox" name="filter_links"'; if ($filter_links) { echo ' checked';} echo ' value="1" />
        <br>',$lbl_filter_images,':&nbsp;
        <input type="checkbox" name="filter_images"'; if ($filter_images) { echo ' checked';} echo ' value="1" />
        <br>',$lbl_click_links,':&nbsp;
        <input type="checkbox" name="click_links"'; if ($click_links) { echo ' checked';} echo ' value="1" />
        <br>',$lbl_click_email,':&nbsp;
        <input type="checkbox" name="click_email"'; if ($click_email) { echo ' checked';} echo ' value="1" />
        <br><input type="checkbox" name="default_on"'; if ($default_folder_set) { echo ' checked';} echo ' value="1" />
        &nbsp;',$lbl_set_default_folder,'
        -&gt;<select name="default_folder">
            ',$folder_options,'
        </select>
        <br><input type="checkbox" name="sent_on"'; if ($sent_folder_set) { echo ' checked';}
        if ($lock_special_folders) { echo ' disabled="1"';} echo ' value="1" />
        &nbsp;',$lbl_enable_sent_folder,'
        -&gt;<select name="sent_folder"'; if ($lock_special_folders) { echo ' disabled="1"';} echo '>
            ',$sent_folder_options,'
        </select>
        <br><input type="checkbox" name="trash_on"'; if ($trash_folder_set) { echo ' checked';}
        if ($lock_special_folders) { echo ' disabled="1"';} echo ' value="1" />
        &nbsp;',$lbl_enable_trash_folder,'
        -&gt;<select name="trash_folder"'; if ($lock_special_folders) { echo ' disabled="1"';} echo '>
            ',$trash_folder_options,'
        </select>
        <br><input type="checkbox" name="drafts_on"'; if ($drafts_folder_set) { echo ' checked';}
        if ($lock_special_folders) { echo ' disabled="1"';} echo ' value="1" />
        &nbsp;',$lbl_enable_drafts_folder,'
        -&gt;<select name="drafts_folder"'; if ($lock_special_folders) { echo ' disabled="1"';} echo '>
            ',$drafts_folder_options,'
        </select>
        <br>',$lbl_delete_draft,'
        &nbsp;<input type="checkbox" name="delete_draft"'; if ($delete_draft) { echo ' checked';} echo ' value="1" />
        <br>',$lbl_skip_trash,'
        &nbsp;<input type="checkbox" name="skip_trash"'; if ($skip_trash) { echo ' checked';} echo ' value="1" />';
        if ($show_sort_types) { echo '
        <br>',$lbl_sort_types,':
        &nbsp;
        <select name="new_page_sort">';
            foreach ($sort_types as $key => $val) { 
            echo '<option ';
            if ($key == $sort_type) { echo 'selected '; }
            echo 'value="',$key,'">',$val,'</option>';
            } echo '</select>';
        } echo '
        <br>',$lbl_folder_details,':
        &nbsp;
        <select name="folder_detail">';
            foreach ($folder_details as $key => $val) { 
            echo '<option ';
            if ($key == $folder_detail) { echo 'selected '; }
            echo 'value="',$key,'">',$val,'</option>';
            } echo '</select>&nbsp;
        <br>',$lbl_folder_style,':
        &nbsp;
        <select name="folder_style">';
            foreach ($folder_styles as $key => $val) { 
            echo '<option ';
            if ($key == $folder_style) { echo 'selected '; }
            echo 'value="',$key,'">',$val,'</option>';
            } echo '</select>
        <br>',$lbl_folder_preview,':
        &nbsp;
        <select name="folder_preview">';
            foreach ($folder_previews as $key => $val) { 
            echo '<option ';
            if ($key == $folder_preview) { echo 'selected '; }
            echo 'value="',$key,'">',$val,'</option>';
            } echo '</select>
        &nbsp;
        <select name="preview_position">';
            foreach ($preview_positions as $key => $val) { 
            echo '<option ';
            if ($key == $preview_position) { echo 'selected '; }
            echo 'value="',$key,'">',$val,'</option>';
            } echo '</select>&nbsp;&nbsp;
        </td>
    </tr>';
    foreach ($profiles as $p) { echo '
    <tr>
        <td>
        ';if (!$p['num']) { echo $lbl_default_profile; } else { echo $lbl_profile,' ',$p['num']; } echo '
        ',$lbl_name,':<br />
        <input type="text" name="from_name_',$p['num'],'" size="28" value="',$p['html_from_name'],'" />
        <br>',$lbl_sig,':<br />
        <textarea cols="60" name="sig_',$p['num'],'" rows="10">',$p['sig'],'</textarea>';
        if ($use_profiles) { echo '
            <br />',$lbl_address,':<br />
            <input type="text" name="from_address_',$p['num'],'" size="28" value="',$p['from_address'],'" />
            <br /><br />';
            if (!$p['num']) { echo '
                <input type="submit" value="',$lbl_new_profile,'" name="add_profile" />';
            } else { echo '
                <input type="submit" value="',$lbl_remove_profile,'" name="remove_profile_',$p['num'],'" />';
            }
        } echo '
        </td>
    </tr>';
    } echo '
    <tr>
        <td>
            <input type="submit" value="',$lbl_update_settings,'" name="update" />
        </td>
    </tr>
</table>
</form>
<a class="font2" href="#top">',$lbl_top,'</a>
</body>
</html>';

?>
